Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic
Class PlasticPopupMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PopupMenuUI
              javax.swing.plaf.basic.BasicPopupMenuUI
                  com.jgoodies.plaf.plastic.PlasticPopupMenuUI

public final class PlasticPopupMenuUI
extends BasicPopupMenuUI

The JGoodies Plastic l&f implementation of `PopupMenuUI`. Adds support for a drop shadow.

Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch
See Also:
  `ShadowPopupBorder`, `ShadowPopupMenuUtils`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`popupMenu`

Constructor Summary
`PlasticPopupMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent x)` Creates an instance of the ui delegate for the specified component.
`Popup` | `getPopup(JPopupMenu aPopupMenu, int x, int y)` Returns the Popup that will be responsible for displaying the JPopupMenu.
`void` | `installDefaults()` Unlike the superclass, we install a plain border or drop shadow border depending on the current setting of the `UIManager` setting "`PopupMenu.dropShadowEnabled`" and other conditions; for example, the feature is always inactive on the Mac OS X.

Methods inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`getMaximumSize, getMinimumSize, getPreferredSize, installKeyboardActions, installListeners, installUI, isPopupTrigger, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticPopupMenuUI

    public PlasticPopupMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

  Creates an instance of the ui delegate for the specified component.

### installDefaults

    public void installDefaults()

  Unlike the superclass, we install a plain border or drop shadow border depending on the current setting of the `UIManager` setting "`PopupMenu.dropShadowEnabled`" and other conditions; for example, the feature is always inactive on the Mac OS X.

### getPopup

    public Popup getPopup(JPopupMenu aPopupMenu,
                          int x,
                          int y)

  Returns the Popup that will be responsible for displaying the JPopupMenu. Overwritten to make the popup component transparent (light-weight), or make a background snapshot to simulate the shadows (heavy-weight).

  The snapshot will be used by class `ShadowPopupBorder`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.